org.keycloak.forms.login

## Interface LoginFormsProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    FreeMarkerLoginFormsProvider

      public interface LoginFormsProvider
      extends Provider

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IDENTITY_PROVIDER_BROKER_CONTEXT`
    `static String` | `UPDATE_PROFILE_CONTEXT_ATTR`
    `static String` | `USERNAME_EDIT_DISABLED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoginFormsProvider` | `addError(FormMessage errorMessage)`
    `void` | `addScript(String scriptUrl)` Adds a script to the html header
    `LoginFormsProvider` | `addSuccess(FormMessage errorMessage)` Add a success message to the form
    `javax.ws.rs.core.Response` | `createCode()`
    `javax.ws.rs.core.Response` | `createErrorPage()`
    `javax.ws.rs.core.Response` | `createForm(String form)`
    `javax.ws.rs.core.Response` | `createIdpLinkConfirmLinkPage()`
    `javax.ws.rs.core.Response` | `createIdpLinkEmailPage()`
    `javax.ws.rs.core.Response` | `createInfoPage()`
    `javax.ws.rs.core.Response` | `createLogin()`
    `javax.ws.rs.core.Response` | `createLoginTotp()`
    `javax.ws.rs.core.Response` | `createOAuthGrant(ClientSessionModel clientSessionModel)`
    `javax.ws.rs.core.Response` | `createPasswordReset()`
    `javax.ws.rs.core.Response` | `createRegistration()`
    `javax.ws.rs.core.Response` | `createResponse(UserModel.RequiredAction action)`
    `javax.ws.rs.core.Response` | `createUpdateProfilePage()`
    `LoginFormsProvider` | `setAccessRequest(List<RoleModel> realmRolesRequested, javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested, List<ProtocolMapperModel> protocolMappers)`
    `LoginFormsProvider` | `setAccessRequest(String message)`
    `LoginFormsProvider` | `setActionUri(URI requestUri)`
    `LoginFormsProvider` | `setAttribute(String name, Object value)`
    `LoginFormsProvider` | `setClientSession(ClientSessionModel clientSession)`
    `LoginFormsProvider` | `setClientSessionCode(String accessCode)`
    `LoginFormsProvider` | `setError(String message, Object... parameters)` Set one global error message.
    `LoginFormsProvider` | `setErrors(List<FormMessage> messages)` Set multiple error messages.
    `LoginFormsProvider` | `setFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `LoginFormsProvider` | `setInfo(String message, Object... parameters)`
    `LoginFormsProvider` | `setResponseHeader(String headerName, String headerValue)`
    `LoginFormsProvider` | `setStatus(javax.ws.rs.core.Response.Status status)`
    `LoginFormsProvider` | `setSuccess(String message, Object... parameters)`
    `LoginFormsProvider` | `setUser(UserModel user)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Field Detail

    - #### UPDATE_PROFILE_CONTEXT_ATTR

          static final String UPDATE_PROFILE_CONTEXT_ATTR

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_BROKER_CONTEXT

          static final String IDENTITY_PROVIDER_BROKER_CONTEXT

      See Also:
        Constant Field Values

    - #### USERNAME_EDIT_DISABLED

          static final String USERNAME_EDIT_DISABLED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addScript

          void addScript(String scriptUrl)

      Adds a script to the html header
      Parameters:
        `scriptUrl` -

    - #### createResponse

          javax.ws.rs.core.Response createResponse(UserModel.RequiredAction action)

    - #### createForm

          javax.ws.rs.core.Response createForm(String form)

    - #### createLogin

          javax.ws.rs.core.Response createLogin()

    - #### createPasswordReset

          javax.ws.rs.core.Response createPasswordReset()

    - #### createLoginTotp

          javax.ws.rs.core.Response createLoginTotp()

    - #### createRegistration

          javax.ws.rs.core.Response createRegistration()

    - #### createInfoPage

          javax.ws.rs.core.Response createInfoPage()

    - #### createUpdateProfilePage

          javax.ws.rs.core.Response createUpdateProfilePage()

    - #### createIdpLinkConfirmLinkPage

          javax.ws.rs.core.Response createIdpLinkConfirmLinkPage()

    - #### createIdpLinkEmailPage

          javax.ws.rs.core.Response createIdpLinkEmailPage()

    - #### createErrorPage

          javax.ws.rs.core.Response createErrorPage()

    - #### createOAuthGrant

          javax.ws.rs.core.Response createOAuthGrant(ClientSessionModel clientSessionModel)

    - #### createCode

          javax.ws.rs.core.Response createCode()

    - #### setClientSessionCode

          LoginFormsProvider setClientSessionCode(String accessCode)

    - #### setClientSession

          LoginFormsProvider setClientSession(ClientSessionModel clientSession)

    - #### setAccessRequest

          LoginFormsProvider setAccessRequest(List<RoleModel> realmRolesRequested,
                                              javax.ws.rs.core.MultivaluedMap<String,RoleModel> resourceRolesRequested,
                                              List<ProtocolMapperModel> protocolMappers)

    - #### setAccessRequest

          LoginFormsProvider setAccessRequest(String message)

    - #### setError

          LoginFormsProvider setError(String message,
                                      Object... parameters)

      Set one global error message.
      Parameters:
        `message` - key of message
        `parameters` - to be formatted into message

    - #### setErrors

          LoginFormsProvider setErrors(List<FormMessage> messages)

      Set multiple error messages.
      Parameters:
        `messages` - to be set

    - #### addError

          LoginFormsProvider addError(FormMessage errorMessage)

    - #### addSuccess

          LoginFormsProvider addSuccess(FormMessage errorMessage)

      Add a success message to the form
      Parameters:
        `errorMessage` -
      Returns:

    - #### setSuccess

          LoginFormsProvider setSuccess(String message,
                                        Object... parameters)

    - #### setInfo

          LoginFormsProvider setInfo(String message,
                                     Object... parameters)

    - #### setUser

          LoginFormsProvider setUser(UserModel user)

    - #### setResponseHeader

          LoginFormsProvider setResponseHeader(String headerName,
                                               String headerValue)

    - #### setFormData

          LoginFormsProvider setFormData(javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### setAttribute

          LoginFormsProvider setAttribute(String name,
                                          Object value)

    - #### setStatus

          LoginFormsProvider setStatus(javax.ws.rs.core.Response.Status status)

    - #### setActionUri

          LoginFormsProvider setActionUri(URI requestUri)

Copyright © 2016 JBoss by Red Hat. All rights reserved.